# test that the html component works kinda properly...
use lib qw /../;
use flo::editor::Html;
use flo::Editor;
use MKDoc;
use strict;
use Data::Dumper;

eval {
  MKDoc::init ('cgi.mkdoc');
    
    my $utf8 = "This is an entity test: &eacute;";
    my $html = bless { data => $utf8 }, 'flo::editor::Html';
    die '[ Unicode entity test ]' unless ($html->generate_xml() eq 'This is an entity test: é');
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die "FAILED: $@" if (defined $@ and $@);
