use 5.6.0;
use lib ('..');
use MKDoc;
use flo::Standard;
use lib::Exception;
use UTF8::Hack;
use Data::Dumper;

eval {
    my $lang = $ENV{SERVER_NAME} or die "\$ENV{SERVER_NAME} not set";
  MKDoc::init ('cgi.mkdoc');

    my $document_table = table 'Document';
    my $query = $document_table->search;
    my $errors = 0;
    while (my $document = $query->next)
    {
	next unless (defined $document->{Body});
	eval
	{
	    my $p = new XML::Parser (Style => 'Tree');
	    $p->parse("<xml>$document->{Body}</xml>");
	};
	if (defined $@ and $@)
	{
	    print "\n$document->{Full_Path}: $@";
            $errors++;
        }
    }
    die "[ XML::Parser ] $errors error(s)" if ($errors);
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die $@ if (defined $@ and $@);
