#!/usr/bin/perl -w
use strict;

sub report
{
    my $label = shift;
    $label = "Checking $label...";
    my $error = shift;
    while (length ($label) < 50) { $label .= ' ' }
    if (defined $error and $error)
    {
	print $label;
	print "[\e[91mFAILED\e[0m]\n";
    }
    else
    {
	print $label;
	print "[\e[92mOK\e[0m]\n";
    }
}


eval "use 5.6.1";
report ('5.6.1', $@);

eval "use MIME::Base64";
report ('MIME::Base64', $@);

eval "use Unicode::String";
report ('Unicode::String', $@);

eval "use Unicode::Normalize";
report ('Unicode::Normalize', $@);

eval "use UTF8::Hack";
report ('UTF8::Hack', $@);

eval "use XML::Parser";
report ('XML::Parser', $@);

eval "use DBI";
report ('DBI', $@);

eval "use DBD::mysql";
report ('DBD::mysql', $@);

eval "use Text::Unidecode";
report ('Text::Unidecode', $@);

eval "use XML::RSS";
report ('XML::RSS', $@);

eval "use Image::Magick";
report ('Image::Magick', $@);
